function np=LebSingle(pts)
global cscale;
global hd;
global kertype;
global cpar;
global datafun
global xpoint
global ypoint
global domainindex
global domainangle
the=eps:2*pi/330:2*pi;
rhofull=bndcurve(the);
rho=rhofull(1,:);
rhoder=rhofull(2,:);
% size(the)
% size(rhofull)
[x y]=pol2cart(the,rho);
figure
plot(-x,y)
axis([-1.1 1.1 -1.1 1.1])
axis square
hold on
ip=1;
plot(-pts(:,1),pts(:,2),'.',-pts(ip,1),pts(ip,2),'o')
title('Data Points')
zd=pts;

disp('Start forming interpolation system')
X=kernel(distsq(zd,zd));
disp('Start condition estimate')
cx=condest(X)
kn=X(1,1);
he=min(hd/10,0.05); % Gitterweite, feines Gitter
[xe,ye]=meshgrid(-1:he:1,-1:he:1);
ze=[xe(:),ye(:)];
disp('Start forming eval system')
Xe=kernel(distsq(zd,ze));
disp('Start solving system')
Vvale=X\Xe;
leb=sum(abs(Vvale));
ind=findpointsinside([xe(:) ye(:)]);
% diff=-length(ind)+length(xe(:));
lebcut=zeros(size(xe));
releb=reshape(leb,size(xe));
lebcut(ind)=releb(ind);
figure
surf(-xe,ye,lebcut)
% title('Lebesgue Function on Domain')
shading interp
cscale
leb=Vvale(ip,:);
lebcut=zeros(size(xe));
releb=reshape(leb,size(xe));
lebcut(ind)=releb(ind);
figure
surf(-xe,ye,lebcut);
% title('Lagrange Basis Function on Domain')
shading interp
figure
surf(-xe,ye,releb);
% title('Lagrange Basis Function, global')
shading interp
pow=kn-sum(Xe.*Vvale);
powcut=zeros(size(pow));
powcut(ind)=pow(ind);
figure
surf(-xe,ye,reshape(powcut,size(xe)));
shading interp
% title('Squared Power Function on Domain')
[np nd]=size(pts)
% powcut=leb
% powcut(ind)=0;
% figure
% surfc(-xe,ye,reshape(powcut,size(xe)))
% shading interp
% title('Lagrange on cut')
% [np nd]=size(pts)


