function pts=genscatpoints(h)
% generate quasi-uniform regular points in [-1 1] of approximate
% fill distance h 
hloc=h/4;
np=ceil(2/h);
hh=(2-2*hloc)/np;
[x y]=meshgrid(-1+hloc:hh:1-hloc,-1+hloc:hh:1-hloc);
pts=[x(:) y(:)];
pts=pts+(2*rand(size(pts))-1)*hloc;
