function pts=getscatdata()
% generates mildly scattered data with approximate fill distance hd
% and sorts a special point to the front
global cscale;
global hd;
global kertype;
global cpar;
global datafun
global xpoint
global ypoint
global domainindex
global domainangle
pts=genscatdatainside(hd);
if domainindex==6
    if abs(domainangle-pi/8)<10*eps
        npts=sqrt(distsq(pts,[0.3 0])); % for cardioid 
    end
    if abs(domainangle-pi/2)<10*eps
        npts=sqrt(distsq(pts,[1 0])); % for circle
    end
else
    npts=sqrt(distsq(pts,[0 0])); % for other curves
end
[mp ip]=min(npts);
ph=pts(ip,:);
pts(ip,:)=pts(1,:);
pts(1,:)=ph;
