function ptlist=greedypointselector(npmax)
global cscale;
global kertype;
global cpar;
global datafun
global xpoint
global ypoint
global domainindex
global domainangle
xpoint=2;
ypoint=2;
hd=0.2
pts=gendatainside(hd);
npts=sqrt(distsq(pts,[0.3 0])); % for cardioid 
% npts=sqrt(distsq(pts,[0 0])); % for circle
[mp ip]=min(npts)


he=min(hd/10,0.05); % Gitterweite, feines Gitter
[xe,ye]=meshgrid(-1:he:1,-1:he:1);
ze=[xe(:),ye(:)];
ind=findpointsinside([xe(:) ye(:)]);
np=1;
mlist=[1];
ptlist=[pts(ip,1) pts(ip,2)];
for np=1:npmax-1
    
    zd=ptlist;
    
    X=kernel(distsq(zd,zd));
    cx=condest(X);
    if (cx>1.e12)
        break;
    end
    kn=X(1,1);
    
    Xe=kernel(distsq(zd,ze));
    Vvale=X\Xe;
    if np==1
        pow=kn-Xe.*Vvale;
    else
        pow=kn-sum(Xe.*Vvale);
    end
    powcut=zeros(size(pow));
    powcut(ind)=pow(ind);
    rp=reshape(powcut,size(xe));
%     surf(-xe,ye,rp)
%     shading interp
%     title('Power Function')
    [mm im]=max(powcut);
    ptlist=[ptlist; xe(im) ye(im)];
    mlist=[mlist mm];
    np=np+1
end

